Skip to content

Member of List

GET /rest/v1/lists/{listId}/leads/ismember.json

Permissions Read-Write Lead

Build a request and mock the response

Method: GET
Path: /rest/v1/lists/{listId}/leads/ismember.json
Tag: Static Lists
Operation ID: areLeadsMemberOfListUsingGET

Checks if leads are members of a given static list. Required Permissions: Read-Write Lead

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
listId integer (int32) Yes Id of the static list to check against

Query parameters

Name Type Required Description Constraints
id array No Comma-separated list of lead ids to check collection format: multi

Request body

Name: listOperationRequest
Required: No
Schema: model: ListOperationRequest

Optional JSON request body

Generated example

{
  "input": [
    {
      "id": 123
    }
  ]
}

Referenced models

Example request

GET {{base_url}}/rest/v1/lists/{{listId}}/leads/ismember.json?id={{id}}
Content-Type: application/json
Accept: application/json

{
  "input": [
    {
      "id": 123
    }
  ]
}

Responses

200 — OK

Schema: model: ResponseOfListOperationOutputData

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.